local ActorInventory = require "engine.interface.ActorInventory"

newBirthDescriptor

{
	type = "subrace",
	name = "Abomination",
	desc = {
		"Abominations are the hideous result of callous necromancers fusing several dead bodies or loose appendages into one single being. They can augment themselves by assimilating more body parts to their being, even in the heat of battle. Abominations may grow considerably in size after being created and while such extra size may benefit them, growing too large slows them down.",
		"Their multitude of body parts makes them hardy and difficult to stun and their multitude of heads make their vision difficult to impair, however the vast amount of minds combined can make them more susceptible to confusion effects.",
		"They have access to #GOLD#special abomination talents#WHITE#, that improve as they grow in size and constitution and they start with the following bonuses:",
		"- 25% Stun resistance",
		"- 50% blindness resistance",
		"- 25% confusion resistance penalty",
		"#GOLD#Stat modifiers:",
		"#LIGHT_BLUE# * +2 Strength, +0 Dexterity, +6 Constitution",
		"#LIGHT_BLUE# * +2 Magic, +2 Willpower, +0 Cunning",
		"#GOLD#Life per level:#LIGHT_BLUE# 13",
		"#GOLD#Damage resistances:#LIGHT_BLUE# 15% darkness, 15% arcane",
		"#GOLD#Experience penalty:#LIGHT_BLUE# 25%",
			},
	moddable_attachement_spots = "race_ghoul", moddable_attachement_spots_sexless=true,
	descriptor_choices =
	{
		sex =
		{
			__ALL__ = "disallow",
			Male = "allow",
		},
	},
	inc_stats = { str=2, dex=-1, con=6, wil=-2, mag=2, cun=0 },
	talents_types = {
		["undead/abomination"]={true, 0},
	},
	talents = {
		[ActorTalents.T_REDUNDANT_ORGANS]=1,
	},
	copy = {
		type = "undead", subtype="abomination",
		default_wilderness = {"playerpop", "low-undead"},
		starting_intro = "abomination",
		life_rating=13,
		stun_immune = 0.25,
		blind_immune = 0.5,
		confusion_immune = -0.25,
		resists = { [engine.DamageType.DARKNESS] = 10, [engine.DamageType.ARCANE] = 10 },
		blood_color = colors.GREY,
		moddable_tile = "ghoul",
		moddable_tile_nude = 1,
		equipdoll = "abomination",
		--body = {FINGER = 2,LITE=1,HEAD=1,NECK=1,TOOL=1,MAINHAND=1,OFFHAND=1,FEET=1,BODY=1,QUIVER=1,BELT=1,HANDS=1,CLOAK=1}, -- we don't need to do this, and it seemed to be waht was causing problems (like making all you items disappear) when you run initBody
	},
	experience = 1.25,
}

getBirthDescriptor("race", "Undead").descriptor_choices.subrace.Abomination = "allow"

--*** Extra gloves and boots [COMPLETELY USELESS, but might be worth leaving as a reference for possible further changes]
--ActorInventory:defineInventory("HANDS2", "Additional gloves slot", true, "Additional gloves slot", nil, {stack_limit=1, equipdoll_back="ui/equipdoll/hands.png"})
--ActorInventory:defineInventory("FEET2", "Additional boots slot", true, "Additional boots slot", nil, {stack_limit=1, equipdoll_back="ui/equipdoll/feet.png"})

ActorInventory.equipdolls.abomination = { w=48, h=48, itemframe="ui/equipdoll/itemframe48.png", itemframe_sel="ui/equipdoll/itemframe-sel48.png", ix=3, iy=3, iw=42, ih=42, doll_x=116, doll_y=168+64, list={
		PSIONIC_FOCUS = {{weight=1, x=120, y=120}}, -- moved psiocic focus so it doesn't overlap quiver
		MAINHAND = {{weight=2, x=48, y=120}},
		OFFHAND = {{weight=3, x=48, y=192}},
		FINGER = {{weight=6, x=48, y=408}, {weight=7, x=120, y=408, text="bottom"}},
		BODY = {{weight=4, x=48, y=264}},
		QUIVER = {{weight=5, x=48, y=48, text="topleft"}},
		LITE = {{weight=9, x=192, y=408}},
		TOOL = {{weight=10, x=264, y=408, text="bottom"}},
		FEET = {{weight=11, x=264, y=336}, {weight=12, x=264, y=264}},
		BELT = {{weight=13, x=48, y=336}},
		HANDS = {{weight=14, x=264, y=192}, {weight=15, x=264, y=120}},
		CLOAK = {{weight=16, x=264, y=48, text="topright"}},
		NECK = {{weight=17, x=192, y=48, text="topright"}},
		HEAD = {{weight=18, x=120, y=48, text="topleft"}},
}}

-- local abom = table.clone(ActorInventory.equipdolls.default, true) -- clone and alter the standard doll for a more conventional look. here, the extra slots are next to the default slots. this was a little crowded though, so I went back to the other doll when I realized it was not part of the problem.
-- local old_feet = table.clone(abom.list.FEET, true)
-- local old_hands = table.clone(abom.list.HANDS, true)
-- local new_feet = {weight=16, x=212, y=336, subshift="left", text="topleft"}
-- local new_hands =  {weight=17, x=212, y=192, subshift="left", text="topleft"}
-- table.insert(old_feet, new_feet)
-- table.insert(old_hands,new_hands)
-- abom.list.FEET = old_feet 
-- abom.list.HANDS = old_hands
-- ActorInventory.equipdolls.abomination = abom
