local Stats = require "engine.interface.ActorStats"
local Particles = require "engine.Particles"
local Shader = require "engine.Shader"
local Entity = require "engine.Entity"
local Chat = require "engine.Chat"
local Map = require "engine.Map"
local Level = require "engine.Level"

newEffect{
	name = "ASSIMILATE_DEAD", 
	image = "talents/assimilate.png",
	desc = "Assimilating the dead",
	long_desc = function(self, eff) return ("You are assimilating the bodies of the fallen to invigorate yourself. You heal %d hit points per kill."):
	format(((self.size_category or 0) - 3) * 25 + 50) end,
	type = "physical",
	subtype = {},
	status = "beneficial",
	parameters = { hp_per_kill = 2 },
	on_gain = function(self, err) return "#Target# is assimilating dead foes." end,
	on_lose = function(self, err) return "#Target# is not assimilating dead foes anymore." end,
	activate = function(self, eff)
	--eff.pid1 = onKill self:heal(((self.size_category or 0) - 3) * 25 + 50)
	end,
	deactivate = function(self, eff)
	end,
}

newEffect{
	name = "ASSIMILATE_STRIP", 
	image = "talents/assimilate.png",
	desc = "Shedding damaged body parts",
	long_desc = function(self, eff) return ("You are removing body parts that become damaged from your being, converting %d%% damage into bleeding damage over %d turns."):
	format(eff.smear_percent, eff.smear_dur) end,
	type = "physical",
	subtype = {},
	status = "beneficial",
	parameters = { smear_percent=0.10, smear_dur=3 },
	on_gain = function(self, err) return "#Target# is assimilating removing damaged body parts." end,
	on_lose = function(self, err) return "#Target# is not removing damaged body parts anymore." end,
	--ACTUAL EFFECT CURRENTLY BEING HANDLED BY LOAD.LUA
	--getPercent = function(self, t) return 10 + self:getTalentLevel(t) + (self:getCon() / 3)  end,
	--getDuration = function(self, t) return 3 + ((self.size_category or 0) - 3) end,
	
	--callbackOnTakeDamage = function(self, t, src, x, y, type, dam, tmp)
	--	if (dam > 0) and type.subtype ~= DamageType.BLEED then
	--		local smear = dam * t.smear_percent * 0.01
			--local dur = 3 + ((self.size_category or 0) - 3)
	--		self:setEffect(self.EFF_CUT, t.smear_dur, {src=self, power=smear/t.smear_dur, no_ct_effect=true})
	--		dam = dam - smear

	--	end
	--	return {dam=dam}
	--end,
}