local class = require"engine.class"
local ActorTalents = require "engine.interface.ActorTalents"
local ActorTemporaryEffects = require "engine.interface.ActorTemporaryEffects"
local Birther = require "engine.Birther"
local DamageType = require "engine.DamageType"
local Zone = require "engine.Zone"
local Map = require "engine.Map"

require "engine.class"
local Actor = require "engine.Actor"
require "engine.Autolevel"
require "engine.interface.ActorInventory"
require "engine.interface.ActorTemporaryEffects"
require "mod.class.interface.ActorLife"
require "engine.interface.ActorProject"
require "engine.interface.ActorLevel"
require "engine.interface.ActorStats"
require "engine.interface.ActorTalents"
require "engine.interface.ActorResource"
require "engine.interface.BloodyDeath"
require "engine.interface.ActorFOV"
require "mod.class.interface.ActorPartyQuest"
require "mod.class.interface.Combat"
require "mod.class.interface.Archery"
require "mod.class.interface.ActorInscriptions"
local Faction = require "engine.Faction"
local Dialog = require "engine.ui.Dialog"

local DamageType = require "engine.DamageType"

local load = function(self, data)
  ActorTalents:loadDefinition('/data-abominationrace/talents.lua')
  ActorTemporaryEffects:loadDefinition('/data-abominationrace/effects.lua')
	Birther:loadDefinition("/data-abominationrace/birth.lua")
end
class:bindHook('ToME:load', load)

--Damage smearing from ASSIMILATE_STRIP
class:bindHook("Actor:takeHit", function(self, data)	

	if (self:hasEffect(self.EFF_ASSIMILATE_STRIP) and not (data.src.__project_source and data.src.__project_source.effect_id == data.src.EFF_CUT)) then

        	local bleedRatio    = self:callTalent(self.T_ASSIMILATE, "getPercent")
        	local bleedDuration = self:callTalent(self.T_ASSIMILATE, "getDuration1")
       
        	local bleedDamage = data.value * bleedRatio / 100
                
            self:setEffect(self.EFF_CUT, bleedDuration , {src=data.src, power=bleedDamage/bleedDuration})   
            data.value = data.value  * ( 100 - bleedRatio)  / 100            
    end
        --return data
        
end)

--Heal on kill while ASSIMILATE_DEAD is active
class:bindHook("Combat:attackTarget", function(self, data)	
		
	local target = game.level.map(data.x, data.y, Map.ACTOR)
	if (self:hasEffect(self.EFF_ASSIMILATE_DEAD)) and data.hitted and data.target.dead then
		
		local healAmount 	= self:callTalent(self.T_ASSIMILATE, "getHeal_Amount")
		
		self:heal(healAmount)
	end
end)
